Show Recurring Payment
curl --request GET \
--url https://app.dimepayments.com/api/recurring-payment/show \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"data": []
}'import requests
url = "https://app.dimepayments.com/api/recurring-payment/show"
payload = { "data": [] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.get(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({data: []})
};
fetch('https://app.dimepayments.com/api/recurring-payment/show', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": 1,
"name": "Car Was Solutions ",
"amount": "4,574.99",
"start_date": "2024-11-07T05:00:00.000000Z",
"end_date": "2026-12-31T05:00:00.000000Z",
"recurrence_schedule": "Monthly",
"last_run_date": "2025-12-15T05:00:00.000000Z",
"last_run_status": "Failed",
"last_run_failed_count": 3,
"next_run_date": null,
"status": "Cancelled",
"paused_until_date": null,
"customer_uuid": "9a242468-6b4e-4382-a61b-a728fbc8edae",
"cancelled_at": "2026-06-29T04:00:00.000000Z",
"error": "DECLINE",
"payment_method": {
"id": 7,
"type": "cc",
"last_four": "4003",
"expiration": "09/2029",
"zip": "",
"name_on_card": "Geo Perez"
},
"shipping_address": {
"addr1": null,
"addr2": null,
"city": null,
"state": null,
"zip": null
}
}
}{
"data": {
"message": "Permission Denied."
}
}{
"data": {
"message": "No such Merchant"
}
}Recurring Payments management
Show Recurring Payment
Show details of a scheduled recurring payment.
GET
/
api
/
recurring-payment
/
show
Show Recurring Payment
⌘I

